Mautic Community Forums

Install error 500 internal

Your software
My Mautic version is:2.15.3
My PHP version is:7.2

Your problem
My problem is:install in step 2 ccpanel error 500 internal

These errors are showing in the log: The site is currently offline due to encountering an error. If the problem persists, please contact the system administrator.

Steps I have tried to fix the problem:already change database still same. what problem?

jangan dulu pakai versi 2.15.x
jika ini bentuk nya new install.

pasti di step ke-2 ada error.
penyebab nya apa saya juga tidak tau.

coba pakai 2.14.x ini biasanya tidak error pada saat install awal.
ini berdasarkan yang biasanya saya alami.

What’s in the log? /app/logs/ (example: mautic_prod-YYYY-MM-DD.php)?

[2019-11-10 05:31:51] mautic.WARNING: PHP Warning - require(/home/u6040893/public_html/wspro.site/am/app/cache/prod/doctrine/orm/Proxies/__CG__MauticUserBundleEntityRole.php): failed to open stream: No such file or directory - in file /home/u6040893/public_html/wspro.site/am/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php - at line 209 {“className”:“Mautic\UserBundle\Entity\Role”,“classMetadata”:"[object] (Doctrine\ORM\Mapping\ClassMetadata: Doctrine\ORM\Mapping\ClassMetadataInfo@0000000019955596000000001b173bdf)",“proxyClassName”:“Proxies\CG\Mautic\UserBundle\Entity\Role”,“fileName”:"/home/u6040893/public_html/wspro.site/am/app/cache/prod/doctrine/orm/Proxies/__CG__MauticUserBundleEntityRole.php"}
[2019-11-10 05:31:51] mautic.ERROR: PHP Notice: require(): Failed opening required ‘/home/u6040893/public_html/wspro.site/am/app/cache/prod/doctrine/orm/Proxies/__CG__MauticUserBundleEntityRole.php’ (include_path=’.:/opt/alt/php72/usr/share/pear’) - in file /home/u6040893/public_html/wspro.site/am/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php - at line 209

That means Mautic’s cache hasn’t been generated. You don’t have any WordPress security plugins enabled do you? Could you ask your host if they’re using Mod Security? That could be blocking the Mautic install.